function OnWarpEnter() 
	SetMarker("cs\\Warp_0056.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0048.wp" , 0 , 0) 
	--SetMarker("cs\\Warp_0051.wp" , 0 , 0) 


        if CanGoTo051 then
		-- porte chapelle
		AnimationSetToEnd("elc1",false)
		SetMarker("cs\\Warp_0051.wp" , 0 , 0) 
		if ETAT_DAY == "D2" and not SheetMoved_051 then
			-- corps dans la chapelle
			AnimationSetToStart("eqc1",false)
		elseif ETAT_DAY == "D2" and SheetMoved_051 then
			-- corps dans la chapelle
			AnimationSetToEnd("eqc1",false)
		end
	else
		-- porte chapelle
		AnimationSetToStart("elc1",false)
	end

--DAY3 
	if ETAT_DAY == "D3" then
		if not ChavignyInW71 then
			-- Chavigny assis 
			StartAnimationPart("ehc1",0,20,-1,false)
			SetMarker("ehc1",4,0)
			-- moine assis
			StartAnimationPart("evc1",100,110,-1,false)
		end

		if not KEYMOLD_TAKEN then
			SetMarker("JEAN_KEY_D3" , 4 , 0) 
		end
		--AnimationSetToStart("elc1",false)
		StartAnimationPart("eac1",39,40,-1,false)
		-- corde
		AnimationSetToEnd("ebc1",false)
		CAN_TAKE_KEY_MOLD_D3 = false
		SELFIRSTDIALOG = false
	end


--DAY4 
	if ETAT_DAY == "D4" then 
		-- chute armoire
		StartAnimationPart("eac1",39,40,-1,false)
		-- corde
		AnimationSetToEnd("ebc1",false)
		if JEAN_AT_LIBRARY_D4 then
			-- Chavigny assis 
			StartAnimationPart("ehc1",0,10,-1,false)
		end
	end
end

function OnWarpLeave()
end

function AskSeparation()
	
	if ETAT_DAY == "D3" then
		PushAnswer("Ma2187")
		PushAnswer("Ma2189")
		PushAnswer("Ma2191")
	end
end

function OnAnswered(textId)
	if ETAT_DAY == "D3" then 
		if textId == "Ma2187" then
			DrawText("Ma2187","Ma2187.ogg",0)
			JAIntouchable = true
		elseif textId == "Ma2191" then
			DrawText("Ma2191","Ma2191.ogg",0)
			JAIntouchable = true
		elseif textId == "Ma2189" then
			DrawText("Ma2189","Ma2189.ogg",0)
		end
	end
end

function OnDialogFinished(dialogName)

	if ETAT_DAY == "D3" then 
		if dialogName == "Ch2186" then
			AskSeparation()
		end
		if dialogName == "Ma2187" then
			-- Chavigny assis 
			StartAnimationPart("ehc1",90,160,1,false)
			--DrawText("Ch2188","Ch2188.ogg",3)
			SELFIRSTDIALOG = true
			CAN_TAKE_KEY_MOLD_D3 = true
			SetMarker("JEAN_KEY_D3",4,0)
		elseif dialogName == "Ma2189" then
			-- Chavigny assis 
			StartAnimationPart("ehc1",90,160,1,false)
			--DrawText("Ch2190","Ch2190.ogg",3)
			CAN_TAKE_KEY_MOLD_D3 = true
			SetMarker("JEAN_KEY_D3",4,0)
		elseif dialogName == "Ma2191" then
			DrawText("Ch2192","Ch2192.ogg",3)
		end
		if dialogName == "Ch2184" or dialogName == "Ch2186" or dialogName == "Ch2169" or dialogName == "Ch2171" or dialogName == "Ch2173" or dialogName == "Ch2175"  or dialogName == "Ch2177" or dialogName == "Ch2179"  then
			-- Chavigny assis 
			StartAnimationPart("ehc1",0,20,-1,true)
		end
		if dialogName == "Ma2183" or dialogName == "Ma2185"  then
			-- Chavigny assis 
			StartAnimationPart("ehc1",40,60,-1,true)
		end
		if dialogName == "Ce2165" or dialogName == "Ce2170" or dialogName == "Ce2172" or dialogName == "Ce2174" or dialogName == "Ce2176" or dialogName == "Ce2178"  then
			StartAnimationPart("ehc1",40,60,-1,true)
		end
		if dialogName == "Ch2180" or dialogName == "Ma2180" or dialogName == "Ma2193" then
			SetMarker("ehc1",4,0)
			if not KEYMOLD_TAKEN then
				SetMarker("JEAN_KEY_D3",4,0)
			end
		end
		if dialogName =="Ma2166" then
			if CAN_TAKE_KEY_MOLD_D3 then
				SetMarker("JEAN_KEY_D3",4,0)
			else
				SetMarker("JEAN_KEY_D3",4,0)
				SetMarker("ehc1",4,0)
			end

--			if not JAIntouchable then
--				SetMarker("ehc1",4,0)
--				if not KEYMOLD_TAKEN then
--					SetMarker("JEAN_KEY_D3",4,0)
--				end
--			else
--				SetMarker("JEAN_KEY_D3",4,0)
--			end
		end
		if dialogName =="Ma2165" and DRESS_MADELEINE then
			if not JAIntouchable then
				SetMarker("ehc1",4,0)
				if not KEYMOLD_TAKEN then
					SetMarker("JEAN_KEY_D3",4,0)
				end
			else
				SetMarker("JEAN_KEY_D3",4,0)
			end
		end
		if dialogName == "Ch2188" or dialogName == "Ch2190" or dialogName == "Ch2192" then
			JAIntouchable = false
			StartAnimationPart("ehc1",0,20,-1,true)
			SetMarker("ehc1",4,0)
			if not KEYMOLD_TAKEN then
				SetMarker("JEAN_KEY_D3",4,0)
			end
		end
	end
end

function OnDocumentClosed(documentId)

	if documentId == "Doc07" then
		DocMartaLu = true
		if ETAT_DAY == "J1" then
			DrawText("2193", "Arno2193.ogg", 0)
			DrawText("4094", "Arno4094.ogg", 0)
			DrawText("4711", "Arno4711.ogg", 0)
		end
	end

end

function OnAnimationFinished(objectName)

    if ETAT_DAY == "D3" then
		if objectName == "ehc1" then
			SetMarker("ehc1",-1,0)
			if CAN_TAKE_KEY_MOLD_D3 then
				StartAnimationPart("ehc1",161,180,1,false)
				CAN_TAKE_KEY_MOLD_D3 = false
			elseif SELFIRSTDIALOG then
				StartAnimationPart("ehc1",40,60,-1,true)
				DrawText("Ch2188","Ch2188.ogg",3)
				SELFIRSTDIALOG = false
			else
				StartAnimationPart("ehc1",40,60,-1,true)
				DrawText("Ch2190","Ch2190.ogg",3)
			end	
		end
	end
end



function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0056.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0048.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0051.wp" then 
		if CanGoTo051 then
			ChangeWarp(objectName)
		end
	end

--DAY3
	if ETAT_DAY == "D3" then 

		if objectName == "ehc1" then
			SetMarker("ehc1",-1,0)
			SetMarker("JEAN_KEY_D3",-1,0)
			if KEYMOLD_TAKEN and not JEAN_KEY_TAKEN_0032_D3 then
				DrawText("Ma2193","Ma2193.ogg",0) -- Inutile de perdre du temps en bavardage, je dois me dépêcher d'aller faire un double.
			elseif JEAN_KEY_TAKEN_0032_D3 then
				DrawText("Ma2180","Ma2180.ogg",0) -- Je le trouve bien susceptible pour quelqu'un qui n'a rien à cacher.
			end
			if DRESS_MADELEINE then
				if not M_TALKED_JEAN_AT_LIBRARY_D3 then
					if KeySeenW55 then
						DrawText("Ma2183","Ma2183.ogg",0) -- Jean-Aimé, je ne te dérange pas ?
						DrawText("Ch2184","Ch2184.ogg",3) -- Pas le moins du monde ma chère ! Qu'est-ce qui t'amène ?
						DrawText("Ma2185","Ma2185.ogg",0) -- J'aime me promener ici, la vue de tous ces livres me fascine.
						DrawText("Ch2186","Ch2186.ogg",3) -- Comme je te comprends ! J'aimerais pouvoir tous les lire mais je crains de n'en avoir le temps !
						M_TALKED_JEAN_AT_LIBRARY_D3 = true
					else
						LookAt(258, 008)
						DrawText("Ma2165","Ma2165.ogg",0) -- C'est certainement la clef de son bureau. Je ne pourrai jamais la dérober sans me faire remarquer, par contre je parviendrai peut-être à en prendre l'empreinte.
						DrawText("Ma2183","Ma2183.ogg",0) -- Jean-Aimé, je ne te dérange pas ?
						DrawText("Ch2184","Ch2184.ogg",3) -- Pas le moins du monde ma chère ! Qu'est-ce qui t'amène ?
						DrawText("Ma2185","Ma2185.ogg",0) -- J'aime me promener ici, la vue de tous ces livres me fascine.
						DrawText("Ch2186","Ch2186.ogg",3) -- Comme je te comprends ! J'aimerais pouvoir tous les lire mais je crains de n'en avoir le temps !
						M_TALKED_JEAN_AT_LIBRARY_D3 = true
						KeySeenW55 = true
					end
				elseif M_TALKED_JEAN_AT_LIBRARY_D3 and not KEYMOLD_TAKEN then
					AskSeparation()
				end

			elseif DRESS_CESAR then
				if not C_TALKED_JEAN_AT_LIBRARY_D3 then
					if not KeySeenW55 then
						LookAt(258, 008)
						DrawText("Ch2169","Ch2169.ogg",3) -- Bonjour César. Alors où en es-tu de tes recherches ?
						DrawText("Ce2170","Ce2170.ogg",1) -- Je piétine à vrai dire. C'est cette histoire de quatrain qui m'ennuie.
						DrawText("Ch2171","Ch2171.ogg",3) -- Pourquoi ?
						DrawText("Ce2172","Ce2172.ogg",1) -- Mon père ne parvient pas à se souvenir de ces vers.
						DrawText("Ch2173","Ch2173.ogg",3) -- Pas étonnant. Nostradamus n'est plus de toute première jeunesse.
						DrawText("Ce2174","Ce2174.ogg",1) -- C'est vrai, mais n'aurais-tu pas un exemplaire du quatrain que je puisse lui montrer.				
						DrawText("Ch2175","Ch2175.ogg",3) -- Je l'ai donné à la reine, elle te l'a d'ailleurs sûrement transmis, non ?					
						DrawText("Ce2176","Ce2176.ogg",1) -- En effet, mais j'espérais que tu en possédais une version, disons, plus complète.					
						DrawText("Ch2177","Ch2177.ogg",3) -- Insinuerais-tu que je cache certains éléments à dessein ?					
						DrawText("Ce2178","Ce2178.ogg",1) -- Je ne me serais pas permis.		
						DrawText("Ch2179","Ch2179.ogg",3) -- J'ose espérer, maintenant laisse-moi, j'ai à faire et je ne suis plus d'humeur à discuter avec toi.
						DrawText("Ma2180","Ma2180.ogg",0) -- Je le trouve bien susceptible pour quelqu'un qui n'a rien à cacher.
						C_TALKED_JEAN_AT_LIBRARY_D3 = true
						KeySeenW55 = true
					else
						DrawText("Ma2180","Ma2180.ogg",0) -- Je le trouve bien susceptible pour quelqu'un qui n'a rien à cacher.
					end
				elseif C_TALKED_JEAN_AT_LIBRARY_D3 and not JEAN_KEY_TAKEN_0032_D3 then
					DrawText("Ma2180","Ma2180.ogg",0) -- Je le trouve bien susceptible pour quelqu'un qui n'a rien à cacher.
				end
			end

		elseif objectName == "3D\\JEAN_KEY_D3" then
			SetMarker("ehc1",-1,0)
			SetMarker("JEAN_KEY_D3",-1,0)
			if not KEYMOLD_TAKEN then
				if CAN_TAKE_KEY_MOLD_D3 and Selected("A_argile") then
					RemoveFromBag()
					PlaySound("Sounds/SFX/N_EcraserArgile.ogg",1)
					AddToBag("C_empreinte_clef")
					SetMarker("JEAN_KEY_D3",-1,0)
--					SetMarker("ehc1",4,0)
					KEYMOLD_TAKEN = true
					NeedSmith = true
				else
					if KeySeenW55 then
						DrawText("Ma2166","Ma2166.ogg",0) -- Je ne pourrai jamais la dérober sans me faire remarquer, par contre je parviendrai peut-être à en prendre l'empreinte.
					else
						if DRESS_MADELEINE then
							DrawText("Ma2165","Ma2165.ogg",0) -- C'est certainement la clef de son bureau. Je ne pourrai jamais la dérober sans me faire remarquer, par contre je parviendrai peut-être à en prendre l'empreinte.
							KeySeenW55 = true
						else
							DrawText("Ma2165","Ma2165.ogg",0) -- C'est certainement la clef de son bureau. Je ne pourrai jamais la dérober sans me faire remarquer, par contre je parviendrai peut-être à en prendre l'empreinte.
							DrawText("Ch2169","Ch2169.ogg",3) -- Bonjour César. Alors où en es-tu de tes recherches ?
							DrawText("Ce2170","Ce2170.ogg",1) -- Je piétine à vrai dire. C'est cette histoire de quatrain qui m'ennuie.
							DrawText("Ch2171","Ch2171.ogg",3) -- Pourquoi ?
							DrawText("Ce2172","Ce2172.ogg",1) -- Mon père ne parvient pas à se souvenir de ces vers.
							DrawText("Ch2173","Ch2173.ogg",3) -- Pas étonnant. Nostradamus n'est plus de toute première jeunesse.
							DrawText("Ce2174","Ce2174.ogg",1) -- C'est vrai, mais n'aurais-tu pas un exemplaire du quatrain que je puisse lui montrer.				
							DrawText("Ch2175","Ch2175.ogg",3) -- Je l'ai donné à la reine, elle te l'a d'ailleurs sûrement transmis, non ?					
							DrawText("Ce2176","Ce2176.ogg",1) -- En effet, mais j'espérais que tu en possédais une version, disons, plus complète.					
							DrawText("Ch2177","Ch2177.ogg",3) -- Insinuerais-tu que je cache certains éléments à dessein ?					
							DrawText("Ce2178","Ce2178.ogg",1) -- Je ne me serais pas permis.		
							DrawText("Ch2179","Ch2179.ogg",3) -- J'ose espérer, maintenant laisse-moi, j'ai à faire et je ne suis plus d'humeur à discuter avec toi.
							DrawText("Ma2180","Ma2180.ogg",0) -- Je le trouve bien susceptible pour quelqu'un qui n'a rien à cacher.
							C_TALKED_JEAN_AT_LIBRARY_D3 = true
							KeySeenW55 = true
						end
					end
				end
			end

		end
	end
end 